<?php
/**
 * Defines the structure for all custom user profile fields.
 *
 * @package Sifency
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Returns an array of user profile definitions.
 *
 * The top-level key is the meta key where the serialized array will be stored.
 *
 * @return array
 */
function sifency_addons_get_user_profile_definitions() {
	return array(
		// The key 'sifency-profile-options' is the user meta key that will store all fields as a single array.
		'sifency-profile-options' => array(
			'title'  => esc_html__( 'Sifency Addons User Details', 'sifency-addons' ),
			'fields' => array(
				array(
					'id'    => 'user_designation',
					'type'  => 'text',
					'title' => esc_html__( 'User Designation', 'sifency-addons' ),
				),
				array(
					'id'    => 'user_fb_url',
					'type'  => 'url',
					'title' => esc_html__( 'Facebook URL', 'sifency-addons' ),
				),
				array(
					'id'    => 'user_linkedin_url',
					'type'  => 'url',
					'title' => esc_html__( 'LinkedIn URL', 'sifency-addons' ),
				),
				array(
					'id'    => 'user_twitter_url',
					'type'  => 'url',
					'title' => esc_html__( 'Twitter URL', 'sifency-addons' ),
				),
				array(
					'id'    => 'user_instagram_url',
					'type'  => 'url',
					'title' => esc_html__( 'Instagram URL', 'sifency-addons' ),
				),
				array(
					'id'    => 'user_pinterest_url',
					'type'  => 'url',
					'title' => esc_html__( 'Pinterest URL', 'sifency-addons' ),
				),
				array(
					'id'    => 'user_youtube_url',
					'type'  => 'url',
					'title' => esc_html__( 'YouTube URL', 'sifency-addons' ),
				),
			),
		),
	);
}
